using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Dao
{
	public interface IFaultTypeRepository : IRepository<FaultType>
	{
        IQueryable<FaultType> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

		FaultType Get(string code);
	}
}
